Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Interface MutableMobilePortlet

All Known Subinterfaces:
  MutablePortletXtra2, MutablePortletXtra3

public interface MutableMobilePortlet
extends MutablePortlet

A `MutableMobilePortlet` is a `MobilePortlet` which can be modified, either by direct calls or a suitably configured `provider.xml`.

Method Summary
`void` | `setCallGetPortlet(boolean value)` Controls whether calls to retrieve this Portlet's meta data should be made before displaying in the portlet repository.
`void` | `setCallGetPortlet(java.lang.String value)` Controls whether calls to retrieve this Portlet's meta data should be made before displaying in the portlet repository.
`void` | `setCallIsRunnable(boolean value)` Controls whether calls to `isPortletRunnable` should be made to this Portlet before displaying in the portlet repository.
`void` | `setCallIsRunnable(java.lang.String value)` Controls whether calls to `isPortletRunnable` should be made to this Portlet before displaying in the portlet repository.
`void` | `setShowLinkMode(boolean value)` Controls whether this Portlet is capable of rendering content for link mode.
`void` | `setShowLinkMode(java.lang.String value)` Controls whether this Portlet is capable of rendering content for link mode.

Methods inherited from interface oracle.portal.provider.v1.MutablePortlet
`addAcceptContentType, addInputParameter, setDefaultLocale, setDescription, setHasAbout, setHasHelp, setId, setName, setPersonalizationManager, setRenderer, setResource, setSecurityManager, setShowDetails, setShowEdit, setShowEditDefault, setShowEditToPublic, setShowPreview, setTimeout, setTimeoutMessage, setTitle`

Methods inherited from interface oracle.portal.provider.v1.Portlet
`getAcceptContentTypes, getDefaultLocale, getDescription, getId, getInputParameters, getName, getPersonalizationManager, getProvider, getRenderer, getResourceBundle, getSecurityManager, getShowEditToPublic, getTimeout, getTimeoutMessage, getTitle, hasAbout, hasHelp, hasShowDetails, hasShowEdit, hasShowEditDefault, hasShowPreview, init`

Method Detail

### setShowLinkMode

    public void setShowLinkMode(boolean value)

  Controls whether this Portlet is capable of rendering content for link mode.
  Parameters:
    `value` - boolean flag.

### setShowLinkMode

    public void setShowLinkMode(java.lang.String value)

  Controls whether this Portlet is capable of rendering content for link mode.
  Parameters:
    `value` - String representing a boolean.

### setCallIsRunnable

    public void setCallIsRunnable(boolean value)

  Controls whether calls to `isPortletRunnable` should be made to this Portlet before displaying in the portlet repository. If false, the portlet is treated as a public portlet visible to all users.
  Parameters:
    `value` - boolean flag.

### setCallIsRunnable

    public void setCallIsRunnable(java.lang.String value)

  Controls whether calls to `isPortletRunnable` should be made to this Portlet before displaying in the portlet repository. If false, the portlet is treated as a public portlet visible to all users.
  Parameters:
    `value` - String representing a boolean.

### setCallGetPortlet

    public void setCallGetPortlet(boolean value)

  Controls whether calls to retrieve this Portlet's meta data should be made before displaying in the portlet repository. If false, the default meta data will be displayed for all users.
  Parameters:
    `value` - boolean flag.

### setCallGetPortlet

    public void setCallGetPortlet(java.lang.String value)

  Controls whether calls to retrieve this Portlet's meta data should be made before displaying in the portlet repository. If false, the default meta data will be displayed for all users.
  Parameters:
    `value` - String representing a boolean.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD